This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1013031 - Vault fields are not validated before post installation
Vault fields are not validated before post installation
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
high Severity high
: ER4
: 6.0.0
Assigned To: Thomas Hauser
Pavol Srna
:
Depends On:
Blocks: 1013805 1013806
  Show dependency treegraph
 
Reported: 2013-09-27 12:16 EDT by Pavol Srna
Modified: 2014-02-06 10:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1013805 1013806 (view as bug list)
Environment:
Last Closed: 2014-02-06 10:25:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavol Srna 2013-09-27 12:16:53 EDT
Description of problem:

All vault input fields should have some kind of validation before proceeding with post installation.

For example you can enter text in 'iteration count' field where only number is allowed. Or you are not warned when incorrect password for keystore was entered and the installation will fail without consistent error message.
Comment 2 Francisco Canas 2013-09-27 15:52:32 EDT
I have added a numeric validator to the iteration count input field in the vault panel. 

http://git.app.eng.bos.redhat.com/?p=jbossas-installer.git;a=commit;h=43bb2ad8c2134686540f54b7b8382acc54556cb4
Comment 3 Pavol Srna 2013-09-30 05:21:55 EDT
What about to do further validation? For example check if the password entered is correct and can unlock the keystore file. Or if the keystore is a *valid* keystore file. 

Such a validation would improve user experience a lot. Otherwise if something goes wrong then the user gets only a very less saying exception during the installation process.
Comment 4 Thomas Hauser 2013-09-30 15:59:10 EDT
I agree with Pavol here, will create a new BZ for these more advanced validation. This BZ will remain closed to verify the changes made by fcanas above.
Comment 5 Thomas Hauser 2013-09-30 15:59:59 EDT
I agree with Pavol here, will create a new BZ for these more advanced validation. This BZ will remain closed to verify the changes made by fcanas above.
Comment 9 Pavol Srna 2013-10-23 05:47:28 EDT
New bug for more advance validation was opened here: https://bugzilla.redhat.com/show_bug.cgi?id=1013806

Verified that numeric validator to the iteration count input field in the vault panel was added.

Note You need to log in before you can comment on or make changes to this bug.